Bug 495825 - AttributeError: 'NoneType' object has no attribute 'geometry'
AttributeError: 'NoneType' object has no attribute 'geometry'
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:2b9e831aeb1e65d6a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 20:26 EDT by jrspurrier
Modified: 2009-04-24 14:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 14:58:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (395.51 KB, text/plain)
2009-04-14 20:27 EDT, jrspurrier
no flags Details

  None (edit)
Description jrspurrier 2009-04-14 20:26:54 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.38 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 1142, in _computeResize
    currentGeom = partition.geometry
  File "/usr/lib/anaconda/storage/devices.py", line 1164, in resize
    (constraint, geometry) = self._computeResize(partition)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 245, in execute
    self.device.resize(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 659, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 210, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 115, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
AttributeError: 'NoneType' object has no attribute 'geometry'
Comment 1 jrspurrier 2009-04-14 20:27:04 EDT
Created attachment 339601 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2009-04-15 15:23:07 EDT
Please retest with rawhide as there's been a lot of changes in this area.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.